%include        /usr/lib/rpm/macros.perl
Summary:	STFL implements a curses-based widget set for text terminals
Summary(hu.UTF-8):	Az STFL egy curses-alapú widget-készletet biztosít szöveges terminálokhoz
Summary(pl.UTF-8):	Implementacja opartego na ncurses zestawu widgetów dla terminali tekstowych
Name:		stfl
Version:	0.22
Release:	7
License:	LGPL v3
Group:		Libraries
Source0:	http://www.clifford.at/stfl/%{name}-%{version}.tar.gz
# Source0-md5:	df4998f69fed15fabd702a25777f74ab
URL:		http://www.clifford.at/stfl/
Patch0:		%{name}-example-dir.patch
Patch1:		%{name}-link.patch
Patch2:		python-install.patch
BuildRequires:	ncurses-devel
BuildRequires:	perl-devel
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	ruby-devel
BuildRequires:	swig-perl
BuildRequires:	swig-python
BuildRequires:	swig-ruby
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
STFL is a library which implements a curses-based widget set for text
terminals.

%description -l hu.UTF-8
Az STFL egy curses-alapú widget-készletet biztosít szöveges
terminálokhoz.

%description -l pl.UTF-8
STFL jest biblioteką udostępniającą implementacją opartego na ncurses
zestawu widgetów dla terminali tekstowych.

%package devel
Summary:	Header files for STFL library
Summary(hu.UTF-8):	Az STFL könyvtár fejlesztői fájljai
Summary(pl.UTF-8):	Pliki nagłówekowe biblioteki STFL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for STFL library.

%description devel -l hu.UTF-8
Az STFL könyvtár fejlesztői fájljai.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki STFL.

%package static
Summary:	Static STFL library
Summary(hu.UTF-8):	Statikus STFL könyvtár
Summary(pl.UTF-8):	Statyczna biblioteka STFL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static STFL library.

%description static -l hu.UTF-8
Statikus STFL könyvtár.

%description static -l pl.UTF-8
Statyczna biblioteka STFL.

%package -n perl-%{name}
Summary:	Perl binding for STFL
Summary(hu.UTF-8):	Perl kapcsolódás STFL-hez
Summary(pl.UTF-8):	Wiązania Perla dla STFLa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	stfl-perl

%description -n perl-%{name}
Perl binding for STFL.

%description -n perl-%{name} -l hu.UTF-8
Perl kapcsolódás STFL-hez.

%description -n perl-%{name} -l pl.UTF-8
Wiązania Perla dla STFLa.

%package -n python-%{name}
Summary:	Python binding for STFL
Summary(hu.UTF-8):	Python kapcsolódás STFL-hez
Summary(pl.UTF-8):	Wiązania Pythona dla STFLa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	stfl-python

%description -n python-%{name}
Python binding for STFL.

%description -n python-%{name} -l hu.UTF-8
Python kapcsolódás STFL-hez.

%description -n python-%{name} -l pl.UTF-8
Wiązania Pythona dla STFLa.

%package -n ruby-%{name}
Summary:	Ruby binding for STFL
Summary(hu.UTF-8):	Ruby kapcsolódás STFL-hez
Summary(pl.UTF-8):	Wiązania Ruby'ego dla STFLa
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	stfl-ruby

%description -n ruby-%{name}
Ruby binding for STFL.

%description -n ruby-%{name} -l hu.UTF-8
Ruby kapcsolódás STFL-hez.

%description -n ruby-%{name} -l pl.UTF-8
Wiązania Ruby'ego dla STFLa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
echo 'LDLIBS=-ltinfow' >> Makefile.cfg

%build
%{__make} -j1 \
	prefix="" \
	libdir=%{_libdir} \
	CFLAGS="-Wall %{rpmcppflags} %{rpmcflags} -I. -D_GNU_SOURCE -fPIC" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{__cc} -pthread"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{py_libdir}/lib-dynload

%{__make} -j1 install \
	prefix=%{_prefix} \
	libdir=%{_lib} \
	RUBYARCHDIR=$RPM_BUILD_ROOT%{ruby_vendorarchdir} \
	DESTDIR=$RPM_BUILD_ROOT

mv  $RPM_BUILD_ROOT%{py_libdir}/site-packages/lib-dynload/_stfl.so \
	$RPM_BUILD_ROOT%{py_libdir}/lib-dynload

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example{,.c,.stfl} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

ln -sf libstfl.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libstfl.so.0

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libstfl.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libstfl.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libstfl.so
%{_includedir}/stfl.h
%{_pkgconfigdir}/stfl.pc
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/example
%{_examplesdir}/%{name}-%{version}/example.*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n perl-%{name}
%defattr(644,root,root,755)
%doc perl5/example.pl
%{perl_vendorarch}/stfl.pm
%dir %{perl_vendorarch}/auto/stfl
%attr(755,root,root) %{perl_vendorarch}/auto/stfl/stfl.so

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_libdir}/lib-dynload/_stfl.so
%{py_libdir}/site-packages/stfl.pyc

%files -n ruby-%{name}
%defattr(644,root,root,755)
%doc ruby/example.rb
%attr(755,root,root) %{ruby_vendorarchdir}/stfl.so
%changelog
* Fri Mar 25 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/stfl.git;a=log;h=master

* Thu Dec 31 2015 Jan Rękorajski <baggins@pld-linux.org> 4aaf159
- fix python install path
- rel 7

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 1c1b468
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 77574b8
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6fdcfe6
- release 4 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 0441fc2
- release 3 (by relup.sh)

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 397ffb3
- removed zero-sized .bs file

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 0508a60
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 514eb8f
- updated to 0.22

* Tue Jan 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 15cd648
- up to 0.22

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> d6a1b62
- fix ruby packaging
- rel 12

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> fd271b2
- rebuild with perl 5.18.0
- release 11 (by relup.sh)

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> f90aa83
- rel 10

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fdd55aa
- rel 9; fix python module dir

* Sat Sep 04 2010 Tomasz Pala <gotar@pld-linux.org> ef69295
- rel. 8 (packages missing from FTP)

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 27a49f9
- release 7

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3312fd9
- release 6

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> 42dfb1c
- rel 5

* Thu Dec 10 2009 sparky <sparky@pld-linux.org> 6812701
- rel 4; STBR

* Thu Dec 10 2009 sparky <sparky@pld-linux.org> f971510
- also link with libtinfow

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 176c512
- reversed names of script languages subpackages

